Subject: Re: AFS login for the MAC.

From: [email-masked]
Date: Thu, 24 Jun 93 10:49:51 PDT

> 
> >From:     "George Cebulka, ECE Facilities" <[email-masked]>
> >  To:     [email-masked]
> >
> >     Has anyone other than UMich, gotten the AFS login code to compile
> > on a MAC? If so could you tell me what you had to do in order to get it
> > to compile? I.e what additional code did you need? Where did you get it?
> 
> I am from UMich, so perhaps you don't want to hear from me ;-)
> However, I do know that the AFS Kerberos UAM and AFS Log utilities were
> compiled under MPW 3.2 using the MIT Mac Athena DES library.  I don't
> think you need any of the KRB library, since we roll our own Kerberos
> packets.
> 
> Did you obtain the des code you are trying to use on the Mac from
> /afs/athena.mit.edu/astaff/project/macathena/MIT/lib/des?  If someone
> has a built copy of the DES library, perhaps they can share that with
> everyone.  I don't have a build area set up for the AFS Kerberos code
> any more.
> 
> -Mark Smith
>  University of Michigan Info Tech Division Unix Group
> 

	I happen to have an built MIT des.lilb. I can put it in a AFS cell
if you need it. I guess you  might want to try to build one for yourself.
It si quite straight foward and you need some krb and des header files anyway.

-jason
[email-masked],edu